Skip to main content
GET
/
filter
Get Filters
curl --request GET \
  --url http://{host}:{port}/{contextPath}/filter \
  --header 'Authorization: Basic <encoded-value>'
[
  {
    "id": "aFilter",
    "resourceType": "Task",
    "name": "My Filter",
    "owner": "jonny1",
    "query": {
      "assignee": "jonny1"
    },
    "properties": {
      "color": "#58FA58",
      "description": "Filters assigned to me"
    }
  },
  {
    "id": "anotherFilter",
    "resourceType": "Task",
    "name": "Accountants Filter",
    "owner": "demo",
    "query": {
      "candidateGroup": "accountant"
    },
    "properties": {
      "description": "Filters assigned to me",
      "priority": 10
    }
  }
]

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

filterId
string

Filter by the id of the filter.

resourceType
string

Filter by the resource type of the filter, e.g., Task.

name
string

Filter by the name of the filter.

nameLike
string

Filter by the name that the parameter is a substring of.

owner
string

Filter by the user id of the owner of the filter.

itemCount
boolean

If set to true, each filter result will contain an itemCount property with the number of items matched by the filter itself.

sortBy
enum<string>

Sort the results lexicographically by a given criterion. Must be used in conjunction with the sortOrder parameter.

Available options:
filterId,
resourceType,
name,
owner
sortOrder
enum<string>

Sort the results in a given order. Values may be asc for ascending order or desc for descending order. Must be used in conjunction with the sortBy parameter.

Available options:
asc,
desc
firstResult
integer

Pagination of results. Specifies the index of the first result to return.

maxResults
integer

Pagination of results. Specifies the maximum number of results to return. Will return less results if there are no more results left.

Response

Request successful.

id
string | null

The id of the filter.

resourceType
string | null

The resource type of the filter.

name
string | null

The name of the filter.

owner
string | null

The user id of the owner of the filter.

query
object

The query of the filter as a JSON object.

properties
object

The properties of a filter as a JSON object.

itemCount
integer<int64> | null

The number of items matched by the filter itself. Note: Only exists if the query parameter itemCount was set to true